﻿var selection = app.project.selection;
var numSelected = selection.length;

app.beginUndoGroup("addCompsToRenderQueueInOwnFolders");

var numCompsSelected = 0;
for (var i = 0; i < numSelected; i++) {
	if (selection[i] instanceof CompItem) {
		numCompsSelected++;
	}
}

if (numCompsSelected == 0) {
	alert("INSTRUCTIONS\n1. select comps in Project window.\n2. run script");
} else {
	for (var i = 0; i < numSelected; i++) {
		if (selection[i] instanceof CompItem) {
			var theRenderQueueItem = app.project.renderQueue.items.add(selection[i]);
			var theOutputModule = theRenderQueueItem.outputModule(1);
			var theFile = theOutputModule.file;
			if (theFile == null) {
				alert("need to set a default render location first!");
				break;
			}
			var theFileString = theFile.toString();

			var folderToRenderImageSequenceTo = "";
			var folderPathArray = theFileString.split("/");
			//reconstruct the path, but ommitting the filename (since that may have imageSequence #s and extension)
			for (var j = 0; j < folderPathArray.length - 1; j++) {
				folderToRenderImageSequenceTo += folderPathArray[j] + "/";
			}
			//add the comp name to the end of the path
			folderToRenderImageSequenceTo += selection[i].name + "/";


			if (Folder(folderToRenderImageSequenceTo).exists == false) {
				Folder(folderToRenderImageSequenceTo).create();
			}
			theOutputModule.file = new File(folderToRenderImageSequenceTo + theFile.name.toString());
		}
	}
}

app.endUndoGroup();
